Package com.sun.jna.platform.win32.COM

## Interface IUnknown

- All Known Subinterfaces:
    `IConnectionPoint`, `IConnectionPointContainer`, `IDispatch`, `IDispatchCallback`, `IEnumMoniker`, `IEnumVariant`, `IMoniker`, `IPersist`, `IPersistStream`, `IRecordInfo`, `IRunningObjectTable`, `ITypeComp`, `ITypeInfo`, `ITypeLib`, `IUnknownCallback`
  All Known Implementing Classes:
    `CallbackProxy`, `COMEarlyBindingObject`, `ConnectionPoint`, `ConnectionPointContainer`, `Dispatch`, `Dispatch.ByReference`, `EnumMoniker`, `EnumVariant`, `Moniker`, `Moniker.ByReference`, `RecordInfo`, `RecordInfo.ByReference`, `RunningObjectTable`, `RunningObjectTable.ByReference`, `TypeComp`, `TypeComp.ByReference`, `TypeInfo`, `TypeInfo.ByReference`, `TypeLib`, `TypeLib.ByReference`, `Unknown`, `Unknown.ByReference`, `Wbemcli.IEnumWbemClassObject`, `Wbemcli.IWbemClassObject`, `Wbemcli.IWbemContext`, `Wbemcli.IWbemLocator`, `Wbemcli.IWbemServices`

      public interface IUnknown

  Wrapper class for the ITypeInfo interface

  Method Name | V-Table Offset
  --- | ---
  IUnknown.QueryInterface | 0
  IUnknown.AddRef | 4
  IUnknown.Release | 8

  Author:
    Tobias Wolf, wolf.tobias@gmx.net

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Guid.IID` | `IID_IUNKNOWN` | The Constant IID_IDispatch.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `AddRef()` |
    `WinNT.HRESULT` | `QueryInterface​(Guid.REFIID riid, PointerByReference ppvObject)` |
    `int` | `Release()` |

- - ### Field Detail

    - #### IID_IUNKNOWN

          static final Guid.IID IID_IUNKNOWN

      The Constant IID_IDispatch.

  - ### Method Detail

    - #### QueryInterface

          WinNT.HRESULT QueryInterface​(Guid.REFIID riid,
                                       PointerByReference ppvObject)

    - #### AddRef

          int AddRef()

    - #### Release

          int Release()